{
  "easycom": {
    "autoscan": true,
    // 注意一定要放在custom里，否则无效，https://ask.dcloud.net.cn/question/131175
    "custom": {
      "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue",
      // 以ava开头的组件 配置后需要重启服务
      "^Ava(.*)": "@/components/Ava$1/Ava$1.vue",
      "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
    }
  },
  "pages": [
    {
      "path": "pagesHome/index",
      "style": {
        "navigationStyle": "custom", // 控制头部是否显示
        "navigationBarTitleText": "首页"
      }
    },
    {
      "path": "pagesHome/profile",
      "style": {
        "navigationStyle": "custom", // 控制头部是否显示
        "navigationBarTitleText": "我的"
      }
    }
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
  ],
  "subPackages": [
    {
      "root": "pagesBattery",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "电池回收"
          }
        },
        {
          "path": "inquiry",
          "style": {
            "navigationBarTitleText": "我要询价"
          }
        },
        {
          "path": "registration",
          "style": {
            "navigationBarTitleText": "我要登记"
          }
        }
      ]
    },
    {
      "root": "pagesScrapSteel",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "废钢回收"
          }
        },
        {
          "path": "registration",
          "style": {
            "navigationBarTitleText": "我要加入"
          }
        }
      ]
    },
    {
      "root": "pagesVehicle",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "报废车辆回收"
          }
        },
        {
          "path": "inquiry",
          "style": {
            "navigationBarTitleText": "我要询价"
          }
        },
        {
          "path": "registration",
          "style": {
            "navigationBarTitleText": "我要登记"
          }
        },
        {
          "path": "recycleFlow",
          "style": {
            "navigationBarTitleText": "回收流程"
          }
        },
        {
          "path": "requiredMaterials",
          "style": {
            "navigationBarTitleText": "所需材料"
          }
        }
      ]
    }
  ],
  "tabBar": {
    "color": "#7A7E83",
    "selectedColor": "#00D2E3",
    "custom": true, //隐藏官方选项卡
    "height": "0px",
    "list": [
      {
        "pagePath": "pagesHome/index",
        "text": "工作台"
      },
      {
        "pagePath": "pagesHome/profile",
        "text": "我的"
      }
    ]
  },
  "permissions": {
    "scope.writePhotosAlbum": true
  },
  "pageOrientation": "auto",
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "智能回收",
    "navigationBarBackgroundColor": "#ffffff",
    "backgroundColor": "#ffffff"
  },
}
